Vector BLF: Vector::BLF::MostAllocTab Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::MostAllocTab Struct Referencefinal

MOST_ALLOCTAB. More...

`#include <MostAllocTab.h>`

Inheritance diagram for Vector::BLF::MostAllocTab:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader2
| ObjectHeader2 (const ObjectType objectType)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint16_t | channel {}
| application channel
uint16_t | length {}
uint32_t | reservedMostAllocTab {}
std::vector< uint8_t > | tableData {}
Public Attributes inherited from Vector::BLF::ObjectHeader2
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint8_t | timeStampStatus {}
| time stamp status
uint8_t | reservedObjectHeader {0}
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {0}
| object timestamp
uint64_t | originalTimeStamp {0}
| original object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader2
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }
enum | TimeStampStatus : uint8_t { Orig = 0x01 , SwHw = 0x02 , User = 0x10 }

## Detailed Description

MOST_ALLOCTAB.

Transports current state of the MOST25 Allocation Table of connected hardware interface.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::MostAllocTab::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::MostAllocTab::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::MostAllocTab::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ channel

uint16_t Vector::BLF::MostAllocTab::channel {}

application channel

Application channel

## ◆ length

uint16_t Vector::BLF::MostAllocTab::length {}

Length of variable data (usually 60 bytes for MOST25)

## ◆ reservedMostAllocTab

uint32_t Vector::BLF::MostAllocTab::reservedMostAllocTab {}

reserved

## ◆ tableData

std::vector<uint8_t> Vector::BLF::MostAllocTab::tableData {}

Allocation Table

The label of a synchronous connection can be distributed over several bytes in the Allocation Table.

Each byte in mTableData contains a value that specifies the identification number of the label it belongs to. If the device is a timing master, the MSB of the byte value is used to indicate if the label is in use or not, otherwise the MSB should be ignored. The label number thus can be determined by byte value & 0x7F. If the resulting label number is 0x70, the byte is not used for any label.

The documentation for this struct was generated from the following files:

- MostAllocTab.h
- MostAllocTab.cpp